### Function

# Ide Completion fuzzy_highlight

#### Declaration

    gchar*
    ide_completion_fuzzy_highlight (
      const gchar* haystack,
      const gchar* casefold_query
    )

#### Description

This will add <b> tags around matched characters in `haystack` based on `casefold_query`.

Available since: | 3.32

#### Parameters

`haystack` | `const gchar*`
| The string to be highlighted.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`casefold_query` | `const gchar*`
| The typed-text used to highlight `haystack`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A newly allocated string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.